{
  "editor.codeActionsOnSave": {
    "source.organizeImports": "always",
    "source.fixAll": "always"
  },
  "editor.suggest.preview": true,
  "editor.inlayHints.enabled": "offUnlessPressed",
  "javascript.inlayHints.parameterNames.enabled": "all",
  "editor.formatOnSaveMode": "modificationsIfAvailable",
  "eslint.workingDirectories": ["./fuware-fe"],
  "editor.insertSpaces": true,
  "editor.tabSize": 2,
  "python.analysis.autoImportCompletions": true,
  "python.analysis.indexing": true,
  "python.analysis.fixAll": ["source.unusedImports"],
  "python.analysis.packageIndexDepths": [
    {
      "name": "fuware",
      "depth": 3,
      "includeAllSymbols": false
    }
  ]
  // "python.analysis.extraPaths": ["./fuware"],
  // "python.autoComplete.extraPaths": ["./fuware"]
}
